/** @module avec4 */
export function set4(a: any, i: any, x: any, y: any, z: any, w: any): void;
/**
 * Sets a vector to another vector.
 * @param {avec4} a
 * @param {number} i
 * @param {avec4} b
 * @param {number} j
 */
export function set(a: avec4, i: number, b: avec4, j: number): void;
/**
 * Compares two vectors.
 * @param {avec4} a
 * @param {number} i
 * @param {avec4} b
 * @param {number} j
 * @returns {boolean}
 */
export function equals(a: avec4, i: number, b: avec4, j: number): boolean;
/**
 * Adds a vector to another.
 * @param {avec4} a
 * @param {number} i
 * @param {avec4} b
 * @param {number} j
 */
export function add(a: avec4, i: number, b: avec4, j: number): void;
/**
 * Subtracts a vector from another.
 * @param {avec4} a
 * @param {number} i
 * @param {avec4} b
 * @param {number} j
 */
export function sub(a: avec4, i: number, b: avec4, j: number): void;
/**
 * Scales a vector by a number.
 * @param {avec4} a
 * @param {number} i
 * @param {number} s
 */
export function scale(a: avec4, i: number, s: number): void;
/**
 * Adds two vectors after scaling the second one.
 * @param {avec4} a
 * @param {number} i
 * @param {avec4} b
 * @param {number} j
 * @param {number} s
 */
export function addScaled(a: avec4, i: number, b: avec4, j: number, s: number): void;
/**
 * Linearly interpolates between two vectors.
 * @param {avec4} a
 * @param {number} i
 * @param {avec4} b
 * @param {number} j
 * @param {number} t
 */
export function lerp(a: avec4, i: number, b: avec4, j: number, t: number): void;
/**
 * Prints a vector to a string.
 * @param {avec4} a
 * @param {number} i
 * @param {number} [precision=4]
 * @returns {string}
 */
export function toString(a: avec4, i: number, precision?: number): string;
